Subject: WU-FTP

From: Thomas von Stetten <[email-masked]>
Date: Wed, 6 Nov 1996 20:35:57 +0100 (MET)

Hello,

this is a mail from Germany (excuse the bad english).
 
I am a internet-provider and a linux-machine is with wu-ftp 
2.4.2-academ[BETA-10](1) running with virtual hosts.
One of my costomer want anonymous ftp and real-user ftp with the same 
domain. I don't know how to configure? 
Other Problem:
Since I installed linux 4.3 at my web-Server a costomer can login with 
his password at a other virtual domain on the same pc and he becomes the 
rights of the other domain. If he did this on linux 4.2, he became his 
own directory! What is diffrent?
Example:
User A is login at FTP.A.COM with password abc:
	He becomes the home-dir of a.
User A is login at FTP.B.COM with password abc:
	He becomes the root-dir of FTP.B.COM! Thats false!

Here the conf-files...

ftpacces:

---snip---
loginfails 2

# email of the responsible person for the %E-cookie
email ftp-admin

# if you specify a list of hosts for the "local" class, only those
# hosts will be allowed to login as "real". All other hosts can
# only login as "anonymous".
#class   local	real,guest,anonymous *
#class	remote	real,guest,anonymous * 

class   local	real,guest *
class	remote	real,guest * 

# limit of 30 connections
limit   local   30   Any    /local/ftp/msgs/msg.dead
limit   remote  30   Any    /local/ftp/msgs/msg.dead

#output /local/ftp/msgs/welcome.msg on login and all ".message" files
# in subdirectories
banner	/local/ftp/msgs/welcome.msg
message /local/ftp/msgs/welcome.msg	login	local
#message /msgs/welcome.msg		login	remote
message .message			cwd=*

readme  README*    login
readme  README*    cwd=*

# allow compression/tar for all users
compress        yes             local remote
tar             yes             local remote

# log all transfers
log transfers anonymous,guest,real inbound,outbound

# do not give those files. do not give "core"-files in any directory.
noretrieve /etc/passwd /etc/group core 

# do not allow these commands for anonymous users
chmod no anonymous
delete no anonymous
overwrite no anonymous
rename no anonymous
umask no anonymous

# specify the upload directory information
upload  /local/ftp  *             no
upload  /local/ftp  /incoming     yes     root    daemon  0600 dirs
upload  /local/ftp  /bin          no
upload  /local/ftp  /etc          no

# do not check password for anonymous logins
passwd-check none

# cdpath
cdpath  /incoming
cdpath  /pub
cdpath  /

guestgroup ftponly

shutdown /etc/shutmsg

privat yes

#
# Virtual Servers 
#

# ftp.xxx.aragon.de
virtual 195.30.19.61 root /local/www/data/xxx
virtual 195.30.19.61 banner /local/www/data/xxx/msgs/welcome.msg
virtual 195.30.19.61 logfile /local/www/data/xxx/logs/ftp.log
---snap---

passwd:
---snip---
....
ftp:x:40:2:ftp account:/local/ftp:/bin/false
xxx:x:501:800:gvsb:/local/www/data/xxx/./:/bin/false
....
---snap---

group:
---snip---
...
users:x:100:
nogroup:x:-2:root
http:x:300:tvs
extern:x:500:
ftponly:x:800:
...
---snap---

I hope you will help me... 
Thanks
Thomas, <Aragon-Software>
 
[email-masked]